Bug 496101 - kernel BUG with dm multipath and a partial read request
kernel BUG with dm multipath and a partial read request
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Mikuláš Patočka
Red Hat Kernel QE team
:
Depends On: 472796
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 12:26 EDT by Mikuláš Patočka
Modified: 2009-09-02 04:32 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 472796
Environment:
Last Closed: 2009-09-02 04:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first patch - fix the bug (2.56 KB, patch)
2009-04-23 01:14 EDT, Mikuláš Patočka
no flags Details | Diff
Second patch - save memory (2.52 KB, patch)
2009-04-23 01:15 EDT, Mikuláš Patočka
no flags Details | Diff

  None (edit)
Comment 1 RHEL Product and Program Management 2009-04-16 12:28:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Mikuláš Patočka 2009-04-23 01:14:18 EDT
Created attachment 340862 [details]
first patch - fix the bug
Comment 3 Mikuláš Patočka 2009-04-23 01:15:18 EDT
Created attachment 340863 [details]
Second patch - save memory
Comment 4 Don Zickus 2009-05-06 13:17:54 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 J.H.M. Dassen (Ray) 2009-06-25 06:26:42 EDT
Results of RHEL5 testing:
The oops is still reproducible with the current RHEL5 kernel, kernel 2.6.18-128.1.14.el5PAE.
The oops is no longer reproducible with the current test kernel, 2.6.18-155.el5PAE.
Comment 8 Chris Ward 2009-07-03 14:41:40 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 11 errata-xmlrpc 2009-09-02 04:32:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.